Package org.eclipse.m2m.atl.emftvm.provider

## Class EmftvmItemProviderAdapterFactory

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
  - - org.eclipse.m2m.atl.emftvm.util.EmftvmAdapterFactory
    - - org.eclipse.m2m.atl.emftvm.provider.EmftvmItemProviderAdapterFactory

All Implemented Interfaces:
  `org.eclipse.emf.common.notify.AdapterFactory`, `org.eclipse.emf.edit.provider.ComposeableAdapterFactory`, `org.eclipse.emf.edit.provider.IChangeNotifier`, `org.eclipse.emf.edit.provider.IDisposable`

    public class EmftvmItemProviderAdapterFactory
    extends EmftvmAdapterFactory
    implements org.eclipse.emf.edit.provider.ComposeableAdapterFactory, org.eclipse.emf.edit.provider.IChangeNotifier, org.eclipse.emf.edit.provider.IDisposable

This is the factory that is used to provide the interfaces needed to support Viewers. The adapters generated by this factory convert EMF adapter notifications into calls to `fireNotifyChanged`. The adapters also support Eclipse property sheets. Note that most of the adapters are shared among multiple instances.

### Field Summary

Fields
`protected AddItemProvider` `addItemProvider` This keeps track of the one adapter used for all `Add` instances.
`protected AllinstInItemProvider` `allinstInItemProvider` This keeps track of the one adapter used for all `AllinstIn` instances.
`protected AllinstItemProvider` `allinstItemProvider` This keeps track of the one adapter used for all `Allinst` instances.
`protected AndItemProvider` `andItemProvider` This keeps track of the one adapter used for all `And` instances.
`protected org.eclipse.emf.edit.provider.IChangeNotifier` `changeNotifier` This is used to implement `IChangeNotifier`.
`protected CodeBlockItemProvider` `codeBlockItemProvider` This keeps track of the one adapter used for all `CodeBlock` instances.
`protected DeleteItemProvider` `deleteItemProvider` This keeps track of the one adapter used for all `Delete` instances.
`protected DupItemProvider` `dupItemProvider` This keeps track of the one adapter used for all `Dup` instances.
`protected DupX1ItemProvider` `dupX1ItemProvider` This keeps track of the one adapter used for all `DupX1` instances.
`protected EnditerateItemProvider` `enditerateItemProvider` This keeps track of the one adapter used for all `Enditerate` instances.
`protected ExecEnvItemProvider` `execEnvItemProvider` This keeps track of the one adapter used for all `ExecEnv` instances.
`protected FieldItemProvider` `fieldItemProvider` This keeps track of the one adapter used for all `Field` instances.
`protected FindtypeItemProvider` `findtypeItemProvider` This keeps track of the one adapter used for all `Findtype` instances.
`protected FindtypeSItemProvider` `findtypeSItemProvider` This keeps track of the one adapter used for all `FindtypeS` instances.
`protected GetcbItemProvider` `getcbItemProvider` This keeps track of the one adapter used for all `Getcb` instances.
`protected GetenvItemProvider` `getenvItemProvider` This keeps track of the one adapter used for all `Getenv` instances.
`protected GetenvtypeItemProvider` `getenvtypeItemProvider` This keeps track of the one adapter used for all `Getenvtype` instances.
`protected GetItemProvider` `getItemProvider` This keeps track of the one adapter used for all `Get` instances.
`protected GetStaticItemProvider` `getStaticItemProvider` This keeps track of the one adapter used for all `GetStatic` instances.
`protected GetSuperItemProvider` `getSuperItemProvider` This keeps track of the one adapter used for all `GetSuper` instances.
`protected GetTransItemProvider` `getTransItemProvider` This keeps track of the one adapter used for all `GetTrans` instances.
`protected GotoItemProvider` `gotoItemProvider` This keeps track of the one adapter used for all `Goto` instances.
`protected IfItemProvider` `ifItemProvider` This keeps track of the one adapter used for all `If` instances.
`protected IfnItemProvider` `ifnItemProvider` This keeps track of the one adapter used for all `Ifn` instances.
`protected IfteItemProvider` `ifteItemProvider` This keeps track of the one adapter used for all `Ifte` instances.
`protected ImpliesItemProvider` `impliesItemProvider` This keeps track of the one adapter used for all `Implies` instances.
`protected InputRuleElementItemProvider` `inputRuleElementItemProvider` This keeps track of the one adapter used for all `InputRuleElement` instances.
`protected InsertItemProvider` `insertItemProvider` This keeps track of the one adapter used for all `Insert` instances.
`protected InvokeAllCbsItemProvider` `invokeAllCbsItemProvider` This keeps track of the one adapter used for all `InvokeAllCbs` instances.
`protected InvokeCbItemProvider` `invokeCbItemProvider` This keeps track of the one adapter used for all `InvokeCb` instances.
`protected InvokeCbSItemProvider` `invokeCbSItemProvider` This keeps track of the one adapter used for all `InvokeCbS` instances.
`protected InvokeItemProvider` `invokeItemProvider` This keeps track of the one adapter used for all `Invoke` instances.
`protected InvokeStaticItemProvider` `invokeStaticItemProvider` This keeps track of the one adapter used for all `InvokeStatic` instances.
`protected InvokeSuperItemProvider` `invokeSuperItemProvider` This keeps track of the one adapter used for all `InvokeSuper` instances.
`protected IsnullItemProvider` `isnullItemProvider` This keeps track of the one adapter used for all `Isnull` instances.
`protected IterateItemProvider` `iterateItemProvider` This keeps track of the one adapter used for all `Iterate` instances.
`protected LineNumberItemProvider` `lineNumberItemProvider` This keeps track of the one adapter used for all `LineNumber` instances.
`protected LoadItemProvider` `loadItemProvider` This keeps track of the one adapter used for all `Load` instances.
`protected LocalVariableItemProvider` `localVariableItemProvider` This keeps track of the one adapter used for all `LocalVariable` instances.
`protected MatchItemProvider` `matchItemProvider` This keeps track of the one adapter used for all `Match` instances.
`protected MatchSItemProvider` `matchSItemProvider` This keeps track of the one adapter used for all `MatchS` instances.
`protected MetamodelItemProvider` `metamodelItemProvider` This keeps track of the one adapter used for all `Metamodel` instances.
`protected ModelDeclarationItemProvider` `modelDeclarationItemProvider` This keeps track of the one adapter used for all `ModelDeclaration` instances.
`protected ModelItemProvider` `modelItemProvider` This keeps track of the one adapter used for all `Model` instances.
`protected ModuleItemProvider` `moduleItemProvider` This keeps track of the one adapter used for all `Module` instances.
`protected NewItemProvider` `newItemProvider` This keeps track of the one adapter used for all `New` instances.
`protected NewSItemProvider` `newSItemProvider` This keeps track of the one adapter used for all `NewS` instances.
`protected NotItemProvider` `notItemProvider` This keeps track of the one adapter used for all `Not` instances.
`protected OperationItemProvider` `operationItemProvider` This keeps track of the one adapter used for all `Operation` instances.
`protected OrItemProvider` `orItemProvider` This keeps track of the one adapter used for all `Or` instances.
`protected OutputRuleElementItemProvider` `outputRuleElementItemProvider` This keeps track of the one adapter used for all `OutputRuleElement` instances.
`protected ParameterItemProvider` `parameterItemProvider` This keeps track of the one adapter used for all `Parameter` instances.
`protected org.eclipse.emf.edit.provider.ComposedAdapterFactory` `parentAdapterFactory` This keeps track of the root adapter factory that delegates to this adapter factory.
`protected PopItemProvider` `popItemProvider` This keeps track of the one adapter used for all `Pop` instances.
`protected PushfItemProvider` `pushfItemProvider` This keeps track of the one adapter used for all `Pushf` instances.
`protected PushItemProvider` `pushItemProvider` This keeps track of the one adapter used for all `Push` instances.
`protected PushtItemProvider` `pushtItemProvider` This keeps track of the one adapter used for all `Pusht` instances.
`protected RemoveItemProvider` `removeItemProvider` This keeps track of the one adapter used for all `Remove` instances.
`protected ReturnItemProvider` `returnItemProvider` This keeps track of the one adapter used for all `Return` instances.
`protected RuleItemProvider` `ruleItemProvider` This keeps track of the one adapter used for all `Rule` instances.
`protected SetItemProvider` `setItemProvider` This keeps track of the one adapter used for all `Set` instances.
`protected SetStaticItemProvider` `setStaticItemProvider` This keeps track of the one adapter used for all `SetStatic` instances.
`protected StoreItemProvider` `storeItemProvider` This keeps track of the one adapter used for all `Store` instances.
`protected java.util.Collection<java.lang.Object>` `supportedTypes` This keeps track of all the supported types checked by `isFactoryForType`.
`protected SwapItemProvider` `swapItemProvider` This keeps track of the one adapter used for all `Swap` instances.
`protected SwapX1ItemProvider` `swapX1ItemProvider` This keeps track of the one adapter used for all `SwapX1` instances.
`protected XorItemProvider` `xorItemProvider` This keeps track of the one adapter used for all `Xor` instances.

### Fields inherited from class org.eclipse.m2m.atl.emftvm.util.EmftvmAdapterFactory

`modelPackage, modelSwitch`

### Constructor Summary

Constructors
`EmftvmItemProviderAdapterFactory()` This constructs an instance.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `adapt​(java.lang.Object object, java.lang.Object type)`
`org.eclipse.emf.common.notify.Adapter` `adapt​(org.eclipse.emf.common.notify.Notifier notifier, java.lang.Object type)` This implementation substitutes the factory itself as the key for the adapter.
`void` `addListener​(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)` This adds a listener.
`org.eclipse.emf.common.notify.Adapter` `createAddAdapter()` This creates an adapter for a `Add`.
`org.eclipse.emf.common.notify.Adapter` `createAllinstAdapter()` This creates an adapter for a `Allinst`.
`org.eclipse.emf.common.notify.Adapter` `createAllinstInAdapter()` This creates an adapter for a `AllinstIn`.
`org.eclipse.emf.common.notify.Adapter` `createAndAdapter()` This creates an adapter for a `And`.
`org.eclipse.emf.common.notify.Adapter` `createCodeBlockAdapter()` This creates an adapter for a `CodeBlock`.
`org.eclipse.emf.common.notify.Adapter` `createDeleteAdapter()` This creates an adapter for a `Delete`.
`org.eclipse.emf.common.notify.Adapter` `createDupAdapter()` This creates an adapter for a `Dup`.
`org.eclipse.emf.common.notify.Adapter` `createDupX1Adapter()` This creates an adapter for a `DupX1`.
`org.eclipse.emf.common.notify.Adapter` `createEnditerateAdapter()` This creates an adapter for a `Enditerate`.
`org.eclipse.emf.common.notify.Adapter` `createExecEnvAdapter()` This creates an adapter for a `ExecEnv`.
`org.eclipse.emf.common.notify.Adapter` `createFieldAdapter()` This creates an adapter for a `Field`.
`org.eclipse.emf.common.notify.Adapter` `createFindtypeAdapter()` This creates an adapter for a `Findtype`.
`org.eclipse.emf.common.notify.Adapter` `createFindtypeSAdapter()` This creates an adapter for a `FindtypeS`.
`org.eclipse.emf.common.notify.Adapter` `createGetAdapter()` This creates an adapter for a `Get`.
`org.eclipse.emf.common.notify.Adapter` `createGetcbAdapter()` This creates an adapter for a `Getcb`.
`org.eclipse.emf.common.notify.Adapter` `createGetenvAdapter()` This creates an adapter for a `Getenv`.
`org.eclipse.emf.common.notify.Adapter` `createGetenvtypeAdapter()` This creates an adapter for a `Getenvtype`.
`org.eclipse.emf.common.notify.Adapter` `createGetStaticAdapter()` This creates an adapter for a `GetStatic`.
`org.eclipse.emf.common.notify.Adapter` `createGetSuperAdapter()` This creates an adapter for a `GetSuper`.
`org.eclipse.emf.common.notify.Adapter` `createGetTransAdapter()` This creates an adapter for a `GetTrans`.
`org.eclipse.emf.common.notify.Adapter` `createGotoAdapter()` This creates an adapter for a `Goto`.
`org.eclipse.emf.common.notify.Adapter` `createIfAdapter()` This creates an adapter for a `If`.
`org.eclipse.emf.common.notify.Adapter` `createIfnAdapter()` This creates an adapter for a `Ifn`.
`org.eclipse.emf.common.notify.Adapter` `createIfteAdapter()` This creates an adapter for a `Ifte`.
`org.eclipse.emf.common.notify.Adapter` `createImpliesAdapter()` This creates an adapter for a `Implies`.
`org.eclipse.emf.common.notify.Adapter` `createInputRuleElementAdapter()` This creates an adapter for a `InputRuleElement`.
`org.eclipse.emf.common.notify.Adapter` `createInsertAdapter()` This creates an adapter for a `Insert`.
`org.eclipse.emf.common.notify.Adapter` `createInvokeAdapter()` This creates an adapter for a `Invoke`.
`org.eclipse.emf.common.notify.Adapter` `createInvokeAllCbsAdapter()` This creates an adapter for a `InvokeAllCbs`.
`org.eclipse.emf.common.notify.Adapter` `createInvokeCbAdapter()` This creates an adapter for a `InvokeCb`.
`org.eclipse.emf.common.notify.Adapter` `createInvokeCbSAdapter()` This creates an adapter for a `InvokeCbS`.
`org.eclipse.emf.common.notify.Adapter` `createInvokeStaticAdapter()` This creates an adapter for a `InvokeStatic`.
`org.eclipse.emf.common.notify.Adapter` `createInvokeSuperAdapter()` This creates an adapter for a `InvokeSuper`.
`org.eclipse.emf.common.notify.Adapter` `createIsnullAdapter()` This creates an adapter for a `Isnull`.
`org.eclipse.emf.common.notify.Adapter` `createIterateAdapter()` This creates an adapter for a `Iterate`.
`org.eclipse.emf.common.notify.Adapter` `createLineNumberAdapter()` This creates an adapter for a `LineNumber`.
`org.eclipse.emf.common.notify.Adapter` `createLoadAdapter()` This creates an adapter for a `Load`.
`org.eclipse.emf.common.notify.Adapter` `createLocalVariableAdapter()` This creates an adapter for a `LocalVariable`.
`org.eclipse.emf.common.notify.Adapter` `createMatchAdapter()` This creates an adapter for a `Match`.
`org.eclipse.emf.common.notify.Adapter` `createMatchSAdapter()` This creates an adapter for a `MatchS`.
`org.eclipse.emf.common.notify.Adapter` `createMetamodelAdapter()` This creates an adapter for a `Metamodel`.
`org.eclipse.emf.common.notify.Adapter` `createModelAdapter()` This creates an adapter for a `Model`.
`org.eclipse.emf.common.notify.Adapter` `createModelDeclarationAdapter()` This creates an adapter for a `ModelDeclaration`.
`org.eclipse.emf.common.notify.Adapter` `createModuleAdapter()` This creates an adapter for a `Module`.
`org.eclipse.emf.common.notify.Adapter` `createNewAdapter()` This creates an adapter for a `New`.
`org.eclipse.emf.common.notify.Adapter` `createNewSAdapter()` This creates an adapter for a `NewS`.
`org.eclipse.emf.common.notify.Adapter` `createNotAdapter()` This creates an adapter for a `Not`.
`org.eclipse.emf.common.notify.Adapter` `createOperationAdapter()` This creates an adapter for a `Operation`.
`org.eclipse.emf.common.notify.Adapter` `createOrAdapter()` This creates an adapter for a `Or`.
`org.eclipse.emf.common.notify.Adapter` `createOutputRuleElementAdapter()` This creates an adapter for a `OutputRuleElement`.
`org.eclipse.emf.common.notify.Adapter` `createParameterAdapter()` This creates an adapter for a `Parameter`.
`org.eclipse.emf.common.notify.Adapter` `createPopAdapter()` This creates an adapter for a `Pop`.
`org.eclipse.emf.common.notify.Adapter` `createPushAdapter()` This creates an adapter for a `Push`.
`org.eclipse.emf.common.notify.Adapter` `createPushfAdapter()` This creates an adapter for a `Pushf`.
`org.eclipse.emf.common.notify.Adapter` `createPushtAdapter()` This creates an adapter for a `Pusht`.
`org.eclipse.emf.common.notify.Adapter` `createRemoveAdapter()` This creates an adapter for a `Remove`.
`org.eclipse.emf.common.notify.Adapter` `createReturnAdapter()` This creates an adapter for a `Return`.
`org.eclipse.emf.common.notify.Adapter` `createRuleAdapter()` This creates an adapter for a `Rule`.
`org.eclipse.emf.common.notify.Adapter` `createSetAdapter()` This creates an adapter for a `Set`.
`org.eclipse.emf.common.notify.Adapter` `createSetStaticAdapter()` This creates an adapter for a `SetStatic`.
`org.eclipse.emf.common.notify.Adapter` `createStoreAdapter()` This creates an adapter for a `Store`.
`org.eclipse.emf.common.notify.Adapter` `createSwapAdapter()` This creates an adapter for a `Swap`.
`org.eclipse.emf.common.notify.Adapter` `createSwapX1Adapter()` This creates an adapter for a `SwapX1`.
`org.eclipse.emf.common.notify.Adapter` `createXorAdapter()` This creates an adapter for a `Xor`.
`void` `dispose()` This disposes all of the item providers created by this factory.
`void` `fireNotifyChanged​(org.eclipse.emf.common.notify.Notification notification)` This delegates to `changeNotifier` and to `parentAdapterFactory`.
`org.eclipse.emf.edit.provider.ComposeableAdapterFactory` `getRootAdapterFactory()` This returns the root adapter factory that contains this factory.
`boolean` `isFactoryForType​(java.lang.Object type)`
`void` `removeListener​(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)` This removes a listener.
`void` `setParentAdapterFactory​(org.eclipse.emf.edit.provider.ComposedAdapterFactory parentAdapterFactory)` This sets the composed adapter factory that contains this factory.

### Methods inherited from class org.eclipse.m2m.atl.emftvm.util.EmftvmAdapterFactory

`createAdapter, createBranchInstructionAdapter, createCodeBlockInstructionAdapter, createEObjectAdapter, createFeatureAdapter, createFieldInstructionAdapter, createInstructionAdapter, createInvokeInstructionAdapter, createInvokeOperationInstructionAdapter, createLocalVariableInstructionAdapter, createNamedElementAdapter, createRuleElementAdapter, createTypedElementAdapter`

### Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

`adaptAllNew, adaptNew, associate, createAdapter, resolve`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.common.notify.AdapterFactory

`adaptAllNew, adaptNew`

### Field Detail

#### parentAdapterFactory

    protected org.eclipse.emf.edit.provider.ComposedAdapterFactory parentAdapterFactory

This keeps track of the root adapter factory that delegates to this adapter factory.

#### changeNotifier

    protected org.eclipse.emf.edit.provider.IChangeNotifier changeNotifier

This is used to implement `IChangeNotifier`.

#### supportedTypes

    protected java.util.Collection<java.lang.Object> supportedTypes

This keeps track of all the supported types checked by `isFactoryForType`.

#### moduleItemProvider

    protected ModuleItemProvider moduleItemProvider

This keeps track of the one adapter used for all `Module` instances.

#### modelDeclarationItemProvider

    protected ModelDeclarationItemProvider modelDeclarationItemProvider

This keeps track of the one adapter used for all `ModelDeclaration` instances.

#### fieldItemProvider

    protected FieldItemProvider fieldItemProvider

This keeps track of the one adapter used for all `Field` instances.

#### operationItemProvider

    protected OperationItemProvider operationItemProvider

This keeps track of the one adapter used for all `Operation` instances.

#### parameterItemProvider

    protected ParameterItemProvider parameterItemProvider

This keeps track of the one adapter used for all `Parameter` instances.

#### lineNumberItemProvider

    protected LineNumberItemProvider lineNumberItemProvider

This keeps track of the one adapter used for all `LineNumber` instances.

#### localVariableItemProvider

    protected LocalVariableItemProvider localVariableItemProvider

This keeps track of the one adapter used for all `LocalVariable` instances.

#### ruleItemProvider

    protected RuleItemProvider ruleItemProvider

This keeps track of the one adapter used for all `Rule` instances.

#### inputRuleElementItemProvider

    protected InputRuleElementItemProvider inputRuleElementItemProvider

This keeps track of the one adapter used for all `InputRuleElement` instances.

#### outputRuleElementItemProvider

    protected OutputRuleElementItemProvider outputRuleElementItemProvider

This keeps track of the one adapter used for all `OutputRuleElement` instances.

#### codeBlockItemProvider

    protected CodeBlockItemProvider codeBlockItemProvider

This keeps track of the one adapter used for all `CodeBlock` instances.

#### pushItemProvider

    protected PushItemProvider pushItemProvider

This keeps track of the one adapter used for all `Push` instances.

#### pushtItemProvider

    protected PushtItemProvider pushtItemProvider

This keeps track of the one adapter used for all `Pusht` instances.

#### pushfItemProvider

    protected PushfItemProvider pushfItemProvider

This keeps track of the one adapter used for all `Pushf` instances.

#### popItemProvider

    protected PopItemProvider popItemProvider

This keeps track of the one adapter used for all `Pop` instances.

#### loadItemProvider

    protected LoadItemProvider loadItemProvider

This keeps track of the one adapter used for all `Load` instances.

#### storeItemProvider

    protected StoreItemProvider storeItemProvider

This keeps track of the one adapter used for all `Store` instances.

#### setItemProvider

    protected SetItemProvider setItemProvider

This keeps track of the one adapter used for all `Set` instances.

#### getItemProvider

    protected GetItemProvider getItemProvider

This keeps track of the one adapter used for all `Get` instances.

#### getTransItemProvider

    protected GetTransItemProvider getTransItemProvider

This keeps track of the one adapter used for all `GetTrans` instances.

#### setStaticItemProvider

    protected SetStaticItemProvider setStaticItemProvider

This keeps track of the one adapter used for all `SetStatic` instances.

#### getStaticItemProvider

    protected GetStaticItemProvider getStaticItemProvider

This keeps track of the one adapter used for all `GetStatic` instances.

#### findtypeItemProvider

    protected FindtypeItemProvider findtypeItemProvider

This keeps track of the one adapter used for all `Findtype` instances.

#### findtypeSItemProvider

    protected FindtypeSItemProvider findtypeSItemProvider

This keeps track of the one adapter used for all `FindtypeS` instances.

#### newItemProvider

    protected NewItemProvider newItemProvider

This keeps track of the one adapter used for all `New` instances.

#### newSItemProvider

    protected NewSItemProvider newSItemProvider

This keeps track of the one adapter used for all `NewS` instances.

#### deleteItemProvider

    protected DeleteItemProvider deleteItemProvider

This keeps track of the one adapter used for all `Delete` instances.

#### dupItemProvider

    protected DupItemProvider dupItemProvider

This keeps track of the one adapter used for all `Dup` instances.

#### dupX1ItemProvider

    protected DupX1ItemProvider dupX1ItemProvider

This keeps track of the one adapter used for all `DupX1` instances.

#### swapItemProvider

    protected SwapItemProvider swapItemProvider

This keeps track of the one adapter used for all `Swap` instances.

#### swapX1ItemProvider

    protected SwapX1ItemProvider swapX1ItemProvider

This keeps track of the one adapter used for all `SwapX1` instances.

#### ifItemProvider

    protected IfItemProvider ifItemProvider

This keeps track of the one adapter used for all `If` instances.

#### ifnItemProvider

    protected IfnItemProvider ifnItemProvider

This keeps track of the one adapter used for all `Ifn` instances.

#### gotoItemProvider

    protected GotoItemProvider gotoItemProvider

This keeps track of the one adapter used for all `Goto` instances.

#### iterateItemProvider

    protected IterateItemProvider iterateItemProvider

This keeps track of the one adapter used for all `Iterate` instances.

#### enditerateItemProvider

    protected EnditerateItemProvider enditerateItemProvider

This keeps track of the one adapter used for all `Enditerate` instances.

#### invokeItemProvider

    protected InvokeItemProvider invokeItemProvider

This keeps track of the one adapter used for all `Invoke` instances.

#### invokeSuperItemProvider

    protected InvokeSuperItemProvider invokeSuperItemProvider

This keeps track of the one adapter used for all `InvokeSuper` instances.

#### invokeStaticItemProvider

    protected InvokeStaticItemProvider invokeStaticItemProvider

This keeps track of the one adapter used for all `InvokeStatic` instances.

#### allinstItemProvider

    protected AllinstItemProvider allinstItemProvider

This keeps track of the one adapter used for all `Allinst` instances.

#### allinstInItemProvider

    protected AllinstInItemProvider allinstInItemProvider

This keeps track of the one adapter used for all `AllinstIn` instances.

#### matchItemProvider

    protected MatchItemProvider matchItemProvider

This keeps track of the one adapter used for all `Match` instances.

#### matchSItemProvider

    protected MatchSItemProvider matchSItemProvider

This keeps track of the one adapter used for all `MatchS` instances.

#### addItemProvider

    protected AddItemProvider addItemProvider

This keeps track of the one adapter used for all `Add` instances.

#### removeItemProvider

    protected RemoveItemProvider removeItemProvider

This keeps track of the one adapter used for all `Remove` instances.

#### insertItemProvider

    protected InsertItemProvider insertItemProvider

This keeps track of the one adapter used for all `Insert` instances.

#### getSuperItemProvider

    protected GetSuperItemProvider getSuperItemProvider

This keeps track of the one adapter used for all `GetSuper` instances.

#### getenvItemProvider

    protected GetenvItemProvider getenvItemProvider

This keeps track of the one adapter used for all `Getenv` instances.

#### returnItemProvider

    protected ReturnItemProvider returnItemProvider

This keeps track of the one adapter used for all `Return` instances.

#### getcbItemProvider

    protected GetcbItemProvider getcbItemProvider

This keeps track of the one adapter used for all `Getcb` instances.

#### invokeAllCbsItemProvider

    protected InvokeAllCbsItemProvider invokeAllCbsItemProvider

This keeps track of the one adapter used for all `InvokeAllCbs` instances.

#### invokeCbItemProvider

    protected InvokeCbItemProvider invokeCbItemProvider

This keeps track of the one adapter used for all `InvokeCb` instances.

#### invokeCbSItemProvider

    protected InvokeCbSItemProvider invokeCbSItemProvider

This keeps track of the one adapter used for all `InvokeCbS` instances.

#### notItemProvider

    protected NotItemProvider notItemProvider

This keeps track of the one adapter used for all `Not` instances.

#### andItemProvider

    protected AndItemProvider andItemProvider

This keeps track of the one adapter used for all `And` instances.

#### orItemProvider

    protected OrItemProvider orItemProvider

This keeps track of the one adapter used for all `Or` instances.

#### xorItemProvider

    protected XorItemProvider xorItemProvider

This keeps track of the one adapter used for all `Xor` instances.

#### impliesItemProvider

    protected ImpliesItemProvider impliesItemProvider

This keeps track of the one adapter used for all `Implies` instances.

#### ifteItemProvider

    protected IfteItemProvider ifteItemProvider

This keeps track of the one adapter used for all `Ifte` instances.

#### isnullItemProvider

    protected IsnullItemProvider isnullItemProvider

This keeps track of the one adapter used for all `Isnull` instances.

#### getenvtypeItemProvider

    protected GetenvtypeItemProvider getenvtypeItemProvider

This keeps track of the one adapter used for all `Getenvtype` instances.

#### execEnvItemProvider

    protected ExecEnvItemProvider execEnvItemProvider

This keeps track of the one adapter used for all `ExecEnv` instances.

#### modelItemProvider

    protected ModelItemProvider modelItemProvider

This keeps track of the one adapter used for all `Model` instances.

#### metamodelItemProvider

    protected MetamodelItemProvider metamodelItemProvider

This keeps track of the one adapter used for all `Metamodel` instances.

### Constructor Detail

#### EmftvmItemProviderAdapterFactory

    public EmftvmItemProviderAdapterFactory()

This constructs an instance.

### Method Detail

#### createModuleAdapter

    public org.eclipse.emf.common.notify.Adapter createModuleAdapter()

This creates an adapter for a `Module`.

Overrides:
  `createModuleAdapter` in class `EmftvmAdapterFactory`
Returns:
  the new adapter.
See Also:
  `Module`

#### createModelDeclarationAdapter

    public org.eclipse.emf.common.notify.Adapter createModelDeclarationAdapter()

This creates an adapter for a `ModelDeclaration`.

Overrides:
  `createModelDeclarationAdapter` in class `EmftvmAdapterFactory`
Returns:
  the new adapter.
See Also:
  `ModelDeclaration`

#### createFieldAdapter

    public org.eclipse.emf.common.notify.Adapter createFieldAdapter()

This creates an adapter for a `Field`.

Overrides:
  `createFieldAdapter` in class `EmftvmAdapterFactory`
Returns:
  the new adapter.
See Also:
  `Field`

#### createOperationAdapter

    public org.eclipse.emf.common.notify.Adapter createOperationAdapter()

This creates an adapter for a `Operation`.

Overrides:
  `createOperationAdapter` in class `EmftvmAdapterFactory`
Returns:
  the new adapter.
See Also:
  `Operation`

#### createParameterAdapter

    public org.eclipse.emf.common.notify.Adapter createParameterAdapter()

This creates an adapter for a `Parameter`.

Overrides:
  `createParameterAdapter` in class `EmftvmAdapterFactory`
Returns:
  the new adapter.
See Also:
  `Parameter`

#### createLineNumberAdapter

    public org.eclipse.emf.common.notify.Adapter createLineNumberAdapter()

This creates an adapter for a `LineNumber`.

Overrides:
  `createLineNumberAdapter` in class `EmftvmAdapterFactory`
Returns:
  the new adapter.
See Also:
  `LineNumber`

#### createLocalVariableAdapter

    public org.eclipse.emf.common.notify.Adapter createLocalVariableAdapter()

This creates an adapter for a `LocalVariable`.

Overrides:
  `createLocalVariableAdapter` in class `EmftvmAdapterFactory`
Returns:
  the new adapter.
See Also:
  `LocalVariable`

#### createRuleAdapter

    public org.eclipse.emf.common.notify.Adapter createRuleAdapter()

This creates an adapter for a `Rule`.

Overrides:
  `createRuleAdapter` in class `EmftvmAdapterFactory`
Returns:
  the new adapter.
See Also:
  `Rule`

#### createInputRuleElementAdapter

    public org.eclipse.emf.common.notify.Adapter createInputRuleElementAdapter()

This creates an adapter for a `InputRuleElement`.

Overrides:
  `createInputRuleElementAdapter` in class `EmftvmAdapterFactory`
Returns:
  the new adapter.
See Also:
  `InputRuleElement`

#### createOutputRuleElementAdapter

    public org.eclipse.emf.common.notify.Adapter createOutputRuleElementAdapter()

This creates an adapter for a `OutputRuleElement`.

Overrides:
  `createOutputRuleElementAdapter` in class `EmftvmAdapterFactory`
Returns:
  the new adapter.
See Also:
  `OutputRuleElement`

#### createCodeBlockAdapter

    public org.eclipse.emf.common.notify.Adapter createCodeBlockAdapter()

This creates an adapter for a `CodeBlock`.

Overrides:
  `createCodeBlockAdapter` in class `EmftvmAdapterFactory`
Returns:
  the new adapter.
See Also:
  `CodeBlock`

#### createPushAdapter

    public org.eclipse.emf.common.notify.Adapter createPushAdapter()

This creates an adapter for a `Push`.

Overrides:
  `createPushAdapter` in class `EmftvmAdapterFactory`
Returns:
  the new adapter.
See Also:
  `Push`

#### createPushtAdapter

    public org.eclipse.emf.common.notify.Adapter createPushtAdapter()

This creates an adapter for a `Pusht`.

Overrides:
  `createPushtAdapter` in class `EmftvmAdapterFactory`
Returns:
  the new adapter.
See Also:
  `Pusht`

#### createPushfAdapter

    public org.eclipse.emf.common.notify.Adapter createPushfAdapter()

This creates an adapter for a `Pushf`.

Overrides:
  `createPushfAdapter` in class `EmftvmAdapterFactory`
Returns:
  the new adapter.
See Also:
  `Pushf`

#### createPopAdapter

    public org.eclipse.emf.common.notify.Adapter createPopAdapter()

This creates an adapter for a `Pop`.

Overrides:
  `createPopAdapter` in class `EmftvmAdapterFactory`
Returns:
  the new adapter.
See Also:
  `Pop`

#### createLoadAdapter

    public org.eclipse.emf.common.notify.Adapter createLoadAdapter()

This creates an adapter for a `Load`.

Overrides:
  `createLoadAdapter` in class `EmftvmAdapterFactory`
Returns:
  the new adapter.
See Also:
  `Load`

#### createStoreAdapter

    public org.eclipse.emf.common.notify.Adapter createStoreAdapter()

This creates an adapter for a `Store`.

Overrides:
  `createStoreAdapter` in class `EmftvmAdapterFactory`
Returns:
  the new adapter.
See Also:
  `Store`

#### createSetAdapter

    public org.eclipse.emf.common.notify.Adapter createSetAdapter()

This creates an adapter for a `Set`.

Overrides:
  `createSetAdapter` in class `EmftvmAdapterFactory`
Returns:
  the new adapter.
See Also:
  `Set`

#### createGetAdapter

    public org.eclipse.emf.common.notify.Adapter createGetAdapter()

This creates an adapter for a `Get`.

Overrides:
  `createGetAdapter` in class `EmftvmAdapterFactory`
Returns:
  the new adapter.
See Also:
  `Get`

#### createGetTransAdapter

    public org.eclipse.emf.common.notify.Adapter createGetTransAdapter()

This creates an adapter for a `GetTrans`.

Overrides:
  `createGetTransAdapter` in class `EmftvmAdapterFactory`
Returns:
  the new adapter.
See Also:
  `GetTrans`

#### createSetStaticAdapter

    public org.eclipse.emf.common.notify.Adapter createSetStaticAdapter()

This creates an adapter for a `SetStatic`.

Overrides:
  `createSetStaticAdapter` in class `EmftvmAdapterFactory`
Returns:
  the new adapter.
See Also:
  `SetStatic`

#### createGetStaticAdapter

    public org.eclipse.emf.common.notify.Adapter createGetStaticAdapter()

This creates an adapter for a `GetStatic`.

Overrides:
  `createGetStaticAdapter` in class `EmftvmAdapterFactory`
Returns:
  the new adapter.
See Also:
  `GetStatic`

#### createFindtypeAdapter

    public org.eclipse.emf.common.notify.Adapter createFindtypeAdapter()

This creates an adapter for a `Findtype`.

Overrides:
  `createFindtypeAdapter` in class `EmftvmAdapterFactory`
Returns:
  the new adapter.
See Also:
  `Findtype`

#### createFindtypeSAdapter

    public org.eclipse.emf.common.notify.Adapter createFindtypeSAdapter()

This creates an adapter for a `FindtypeS`.

Overrides:
  `createFindtypeSAdapter` in class `EmftvmAdapterFactory`
Returns:
  the new adapter.
See Also:
  `FindtypeS`

#### createNewAdapter

    public org.eclipse.emf.common.notify.Adapter createNewAdapter()

This creates an adapter for a `New`.

Overrides:
  `createNewAdapter` in class `EmftvmAdapterFactory`
Returns:
  the new adapter.
See Also:
  `New`

#### createNewSAdapter

    public org.eclipse.emf.common.notify.Adapter createNewSAdapter()

This creates an adapter for a `NewS`.

Overrides:
  `createNewSAdapter` in class `EmftvmAdapterFactory`
Returns:
  the new adapter.
See Also:
  `NewS`

#### createDeleteAdapter

    public org.eclipse.emf.common.notify.Adapter createDeleteAdapter()

This creates an adapter for a `Delete`.

Overrides:
  `createDeleteAdapter` in class `EmftvmAdapterFactory`
Returns:
  the new adapter.
See Also:
  `Delete`

#### createDupAdapter

    public org.eclipse.emf.common.notify.Adapter createDupAdapter()

This creates an adapter for a `Dup`.

Overrides:
  `createDupAdapter` in class `EmftvmAdapterFactory`
Returns:
  the new adapter.
See Also:
  `Dup`

#### createDupX1Adapter

    public org.eclipse.emf.common.notify.Adapter createDupX1Adapter()

This creates an adapter for a `DupX1`.

Overrides:
  `createDupX1Adapter` in class `EmftvmAdapterFactory`
Returns:
  the new adapter.
See Also:
  `DupX1`

#### createSwapAdapter

    public org.eclipse.emf.common.notify.Adapter createSwapAdapter()

This creates an adapter for a `Swap`.

Overrides:
  `createSwapAdapter` in class `EmftvmAdapterFactory`
Returns:
  the new adapter.
See Also:
  `Swap`

#### createSwapX1Adapter

    public org.eclipse.emf.common.notify.Adapter createSwapX1Adapter()

This creates an adapter for a `SwapX1`.

Overrides:
  `createSwapX1Adapter` in class `EmftvmAdapterFactory`
Returns:
  the new adapter.
See Also:
  `SwapX1`

#### createIfAdapter

    public org.eclipse.emf.common.notify.Adapter createIfAdapter()

This creates an adapter for a `If`.

Overrides:
  `createIfAdapter` in class `EmftvmAdapterFactory`
Returns:
  the new adapter.
See Also:
  `If`

#### createIfnAdapter

    public org.eclipse.emf.common.notify.Adapter createIfnAdapter()

This creates an adapter for a `Ifn`.

Overrides:
  `createIfnAdapter` in class `EmftvmAdapterFactory`
Returns:
  the new adapter.
See Also:
  `Ifn`

#### createGotoAdapter

    public org.eclipse.emf.common.notify.Adapter createGotoAdapter()

This creates an adapter for a `Goto`.

Overrides:
  `createGotoAdapter` in class `EmftvmAdapterFactory`
Returns:
  the new adapter.
See Also:
  `Goto`

#### createIterateAdapter

    public org.eclipse.emf.common.notify.Adapter createIterateAdapter()

This creates an adapter for a `Iterate`.

Overrides:
  `createIterateAdapter` in class `EmftvmAdapterFactory`
Returns:
  the new adapter.
See Also:
  `Iterate`

#### createEnditerateAdapter

    public org.eclipse.emf.common.notify.Adapter createEnditerateAdapter()

This creates an adapter for a `Enditerate`.

Overrides:
  `createEnditerateAdapter` in class `EmftvmAdapterFactory`
Returns:
  the new adapter.
See Also:
  `Enditerate`

#### createInvokeAdapter

    public org.eclipse.emf.common.notify.Adapter createInvokeAdapter()

This creates an adapter for a `Invoke`.

Overrides:
  `createInvokeAdapter` in class `EmftvmAdapterFactory`
Returns:
  the new adapter.
See Also:
  `Invoke`

#### createInvokeSuperAdapter

    public org.eclipse.emf.common.notify.Adapter createInvokeSuperAdapter()

This creates an adapter for a `InvokeSuper`.

Overrides:
  `createInvokeSuperAdapter` in class `EmftvmAdapterFactory`
Returns:
  the new adapter.
See Also:
  `InvokeSuper`

#### createInvokeStaticAdapter

    public org.eclipse.emf.common.notify.Adapter createInvokeStaticAdapter()

This creates an adapter for a `InvokeStatic`.

Overrides:
  `createInvokeStaticAdapter` in class `EmftvmAdapterFactory`
Returns:
  the new adapter.
See Also:
  `InvokeStatic`

#### createAllinstAdapter

    public org.eclipse.emf.common.notify.Adapter createAllinstAdapter()

This creates an adapter for a `Allinst`.

Overrides:
  `createAllinstAdapter` in class `EmftvmAdapterFactory`
Returns:
  the new adapter.
See Also:
  `Allinst`

#### createAllinstInAdapter

    public org.eclipse.emf.common.notify.Adapter createAllinstInAdapter()

This creates an adapter for a `AllinstIn`.

Overrides:
  `createAllinstInAdapter` in class `EmftvmAdapterFactory`
Returns:
  the new adapter.
See Also:
  `AllinstIn`

#### createMatchAdapter

    public org.eclipse.emf.common.notify.Adapter createMatchAdapter()

This creates an adapter for a `Match`.

Overrides:
  `createMatchAdapter` in class `EmftvmAdapterFactory`
Returns:
  the new adapter.
See Also:
  `Match`

#### createMatchSAdapter

    public org.eclipse.emf.common.notify.Adapter createMatchSAdapter()

This creates an adapter for a `MatchS`.

Overrides:
  `createMatchSAdapter` in class `EmftvmAdapterFactory`
Returns:
  the new adapter.
See Also:
  `MatchS`

#### createAddAdapter

    public org.eclipse.emf.common.notify.Adapter createAddAdapter()

This creates an adapter for a `Add`.

Overrides:
  `createAddAdapter` in class `EmftvmAdapterFactory`
Returns:
  the new adapter.
See Also:
  `Add`

#### createRemoveAdapter

    public org.eclipse.emf.common.notify.Adapter createRemoveAdapter()

This creates an adapter for a `Remove`.

Overrides:
  `createRemoveAdapter` in class `EmftvmAdapterFactory`
Returns:
  the new adapter.
See Also:
  `Remove`

#### createInsertAdapter

    public org.eclipse.emf.common.notify.Adapter createInsertAdapter()

This creates an adapter for a `Insert`.

Overrides:
  `createInsertAdapter` in class `EmftvmAdapterFactory`
Returns:
  the new adapter.
See Also:
  `Insert`

#### createGetSuperAdapter

    public org.eclipse.emf.common.notify.Adapter createGetSuperAdapter()

This creates an adapter for a `GetSuper`.

Overrides:
  `createGetSuperAdapter` in class `EmftvmAdapterFactory`
Returns:
  the new adapter.
See Also:
  `GetSuper`

#### createGetenvAdapter

    public org.eclipse.emf.common.notify.Adapter createGetenvAdapter()

This creates an adapter for a `Getenv`.

Overrides:
  `createGetenvAdapter` in class `EmftvmAdapterFactory`
Returns:
  the new adapter.
See Also:
  `Getenv`

#### createReturnAdapter

    public org.eclipse.emf.common.notify.Adapter createReturnAdapter()

This creates an adapter for a `Return`.

Overrides:
  `createReturnAdapter` in class `EmftvmAdapterFactory`
Returns:
  the new adapter.
See Also:
  `Return`

#### createGetcbAdapter

    public org.eclipse.emf.common.notify.Adapter createGetcbAdapter()

This creates an adapter for a `Getcb`.

Overrides:
  `createGetcbAdapter` in class `EmftvmAdapterFactory`
Returns:
  the new adapter.
See Also:
  `Getcb`

#### createInvokeAllCbsAdapter

    public org.eclipse.emf.common.notify.Adapter createInvokeAllCbsAdapter()

This creates an adapter for a `InvokeAllCbs`.

Overrides:
  `createInvokeAllCbsAdapter` in class `EmftvmAdapterFactory`
Returns:
  the new adapter.
See Also:
  `InvokeAllCbs`

#### createInvokeCbAdapter

    public org.eclipse.emf.common.notify.Adapter createInvokeCbAdapter()

This creates an adapter for a `InvokeCb`.

Overrides:
  `createInvokeCbAdapter` in class `EmftvmAdapterFactory`
Returns:
  the new adapter.
See Also:
  `InvokeCb`

#### createInvokeCbSAdapter

    public org.eclipse.emf.common.notify.Adapter createInvokeCbSAdapter()

This creates an adapter for a `InvokeCbS`.

Overrides:
  `createInvokeCbSAdapter` in class `EmftvmAdapterFactory`
Returns:
  the new adapter.
See Also:
  `InvokeCbS`

#### createNotAdapter

    public org.eclipse.emf.common.notify.Adapter createNotAdapter()

This creates an adapter for a `Not`.

Overrides:
  `createNotAdapter` in class `EmftvmAdapterFactory`
Returns:
  the new adapter.
See Also:
  `Not`

#### createAndAdapter

    public org.eclipse.emf.common.notify.Adapter createAndAdapter()

This creates an adapter for a `And`.

Overrides:
  `createAndAdapter` in class `EmftvmAdapterFactory`
Returns:
  the new adapter.
See Also:
  `And`

#### createOrAdapter

    public org.eclipse.emf.common.notify.Adapter createOrAdapter()

This creates an adapter for a `Or`.

Overrides:
  `createOrAdapter` in class `EmftvmAdapterFactory`
Returns:
  the new adapter.
See Also:
  `Or`

#### createXorAdapter

    public org.eclipse.emf.common.notify.Adapter createXorAdapter()

This creates an adapter for a `Xor`.

Overrides:
  `createXorAdapter` in class `EmftvmAdapterFactory`
Returns:
  the new adapter.
See Also:
  `Xor`

#### createImpliesAdapter

    public org.eclipse.emf.common.notify.Adapter createImpliesAdapter()

This creates an adapter for a `Implies`.

Overrides:
  `createImpliesAdapter` in class `EmftvmAdapterFactory`
Returns:
  the new adapter.
See Also:
  `Implies`

#### createIfteAdapter

    public org.eclipse.emf.common.notify.Adapter createIfteAdapter()

This creates an adapter for a `Ifte`.

Overrides:
  `createIfteAdapter` in class `EmftvmAdapterFactory`
Returns:
  the new adapter.
See Also:
  `Ifte`

#### createIsnullAdapter

    public org.eclipse.emf.common.notify.Adapter createIsnullAdapter()

This creates an adapter for a `Isnull`.

Overrides:
  `createIsnullAdapter` in class `EmftvmAdapterFactory`
Returns:
  the new adapter.
See Also:
  `Isnull`

#### createGetenvtypeAdapter

    public org.eclipse.emf.common.notify.Adapter createGetenvtypeAdapter()

This creates an adapter for a `Getenvtype`.

Overrides:
  `createGetenvtypeAdapter` in class `EmftvmAdapterFactory`
Returns:
  the new adapter.
See Also:
  `Getenvtype`

#### createExecEnvAdapter

    public org.eclipse.emf.common.notify.Adapter createExecEnvAdapter()

This creates an adapter for a `ExecEnv`.

Overrides:
  `createExecEnvAdapter` in class `EmftvmAdapterFactory`
Returns:
  the new adapter.
See Also:
  `ExecEnv`

#### createModelAdapter

    public org.eclipse.emf.common.notify.Adapter createModelAdapter()

This creates an adapter for a `Model`.

Overrides:
  `createModelAdapter` in class `EmftvmAdapterFactory`
Returns:
  the new adapter.
See Also:
  `Model`

#### createMetamodelAdapter

    public org.eclipse.emf.common.notify.Adapter createMetamodelAdapter()

This creates an adapter for a `Metamodel`.

Overrides:
  `createMetamodelAdapter` in class `EmftvmAdapterFactory`
Returns:
  the new adapter.
See Also:
  `Metamodel`

#### getRootAdapterFactory

    public org.eclipse.emf.edit.provider.ComposeableAdapterFactory getRootAdapterFactory()

This returns the root adapter factory that contains this factory.

Specified by:
  `getRootAdapterFactory` in interface `org.eclipse.emf.edit.provider.ComposeableAdapterFactory`

#### setParentAdapterFactory

    public void setParentAdapterFactory​(org.eclipse.emf.edit.provider.ComposedAdapterFactory parentAdapterFactory)

This sets the composed adapter factory that contains this factory.

Specified by:
  `setParentAdapterFactory` in interface `org.eclipse.emf.edit.provider.ComposeableAdapterFactory`

#### isFactoryForType

    public boolean isFactoryForType​(java.lang.Object type)

Specified by:
  `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
Overrides:
  `isFactoryForType` in class `EmftvmAdapterFactory`
Parameters:
  `type` - the object for which to check the type
Returns:
  whether this factory is applicable for the type of the object.

#### adapt

    public org.eclipse.emf.common.notify.Adapter adapt​(org.eclipse.emf.common.notify.Notifier notifier,
                                                       java.lang.Object type)

This implementation substitutes the factory itself as the key for the adapter.

Specified by:
  `adapt` in interface `org.eclipse.emf.common.notify.AdapterFactory`
Overrides:
  `adapt` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`

#### adapt

    public java.lang.Object adapt​(java.lang.Object object,
                                  java.lang.Object type)

Specified by:
  `adapt` in interface `org.eclipse.emf.common.notify.AdapterFactory`
Overrides:
  `adapt` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`

#### addListener

    public void addListener​(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)

This adds a listener.

Specified by:
  `addListener` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`

#### removeListener

    public void removeListener​(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)

This removes a listener.

Specified by:
  `removeListener` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`

#### fireNotifyChanged

    public void fireNotifyChanged​(org.eclipse.emf.common.notify.Notification notification)

This delegates to `changeNotifier` and to `parentAdapterFactory`.

Specified by:
  `fireNotifyChanged` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`

#### dispose

    public void dispose()

This disposes all of the item providers created by this factory.

Specified by:
  `dispose` in interface `org.eclipse.emf.edit.provider.IDisposable`